imports:
    - php
tools:
    js_hint: true
    php_code_sniffer: true
    php_cs_fixer:
        config: { level: psr2 }
        enabled: true
build:
    tests:
        override:
            -
                command: 'vendor/bin/phpunit --coverage-clover=code-coverage-file'
                coverage:
                    file: 'code-coverage-file'
                    format: 'php-clover'
filter:
    excluded_paths:
        - tests/*
checks:
    php:
        uppercase_constants: true
        unused_variables: true
        unreachable_code: true
        unused_methods: true
        sql_injection_vulnerabilities: true
        spacing_of_function_arguments: true
        spacing_around_non_conditional_operators: true
        spacing_around_conditional_operators: true
        too_many_arguments: true
        return_doc_comments: true
        require_scope_for_properties: true
        require_scope_for_methods: true
        require_braces_around_control_structures: true
        psr2_control_structure_declaration: true
        code_rating: true
        duplication: true
        variable_existence: true
        useless_calls: true
        use_statement_alias_conflict: true
        unused_properties: true
        unused_parameters: true
        security_vulnerabilities: true
        precedence_mistakes: true
        precedence_in_conditions: true
        parameter_non_unique: true
        no_property_on_interface: true
        no_non_implemented_abstract_methods: true
        deprecated_code_usage: true
        closure_use_not_conflicting: true
        closure_use_modifiable: true
        avoid_useless_overridden_methods: true
        avoid_conflicting_incrementers: true
        assignment_of_null_return: true
        verify_access_scope_valid: true
        symfony_request_injection: true
        simplify_boolean_return: true
        side_effects_or_types: true
        scope_indentation:
            spaces_per_level: '4'
        return_doc_comment_if_not_inferrable: true
        remove_trailing_whitespace: true
        remove_php_closing_tag: true
        remove_extra_empty_lines: true
        psr2_switch_declaration: true
        psr2_class_declaration: true
        property_assignments: true
        properties_in_camelcaps: true
        phpunit_assertions: true
        php5_style_constructor: true
        parameters_in_camelcaps: true
        parameter_doc_comments: true
        param_doc_comment_if_not_inferrable: true
        overriding_private_members: true
        one_class_per_file: true
        optional_parameters_at_the_end: true
        non_commented_empty_catch_block: true
        no_unnecessary_if: true
        no_unnecessary_function_call_in_for_loop: true
        no_space_inside_cast_operator: true
        no_space_before_semicolon: true
        no_space_around_object_operator: true
        no_short_open_tag: true
        no_short_method_names:
            minimum: '3'
        no_goto: true
        no_global_keyword: true
        no_exit: true
        no_eval: true
        no_long_variable_names:
            maximum: '40'
        no_empty_statements: true
        no_error_suppression: true
        no_else_if_statements: true
        no_duplicate_arguments: true
        no_debug_code: true
        no_commented_out_code: true
        missing_arguments: true
        method_calls_on_non_object: true
        lowercase_php_keywords: true
        lowercase_basic_constants: true
        instanceof_class_exists: true
        function_in_camel_caps: true
        fix_use_statements:
            remove_unused: true
            preserve_multiple: false
            preserve_blanklines: false
            order_alphabetically: true
        fix_identation_4spaces: true
        ensure_lower_case_builtin_functions: true
        fix_doc_comments: true
        avoid_unnecessary_concatenation: true
        avoid_entity_manager_injection: true
        avoid_closing_tag: true
        require_php_tag_first: true
        line_length:
            max_length: '120'
        function_body_start_on_new_line: true
        fix_php_opening_tag: true
        fix_linefeed: true
        classes_in_camel_caps: true
        catch_class_exists: true
        avoid_tab_indentation: true
        avoid_superglobals: true
        avoid_multiple_statements_on_same_line: true
        avoid_length_functions_in_loops: true
        avoid_duplicate_types: true
        avoid_corrupting_byteorder_marks: true
        argument_type_checks: true
        no_underscore_prefix_in_properties: true
        no_underscore_prefix_in_methods: true
        blank_line_after_namespace_declaration: true
        verify_argument_usable_as_reference: true